package com.fjhx.service.process;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.process.ProcessTenant;
import com.fjhx.params.NodeDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 租户流程表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-16
 */
public interface ProcessTenantService extends BaseService<ProcessTenant> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(ProcessTenant processTenant);

    void addVersion(NodeDetailsVo nodeDetailsVo);

    List<ProcessTenant> getVersionByProcessInfoId(ProcessTenant processTenant);

    void editVersion(ProcessTenant processTenant);

    ProcessTenant getProcessTenant(String code, String tenantId);

}
